@import url("https://fonts.googleapis.com/css2?family=Comic+Neue:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Courier+Prime:ital,wght@0,400;0,700;1,400;1,700&family=Inter&family=M+PLUS+Rounded+1c:wght@100;300;400;500;700;800;900&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

.header {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
  padding: 15px;
  background-color: #3e515b;
  color: #fff;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}
a {
  text-decoration: none;
  color: #0c0e0e;
}
a:hover {
  color: #fff;
}

nav a:hover {
  color: #dcd9cc;
}
nav a {
  color: #fff;
  margin-right: 1rem;
}

html,
body {
  scroll-behavior: smooth;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins";
  background-color: #f0fbfc;
}

main {
  min-height: 85vh;
  display: flex;
  flex-direction: row;
}

footer,
footer p {
  text-align: center;
  background: #3e515b;
  margin: 0;
  box-shadow: 4px 0px 4px 0px rgba(0, 0, 0, 0.25);
  color: #f0fbfc;
}

.dashboard_title {
  font-weight: 400;
  text-align: center;
  font-size: 1.5rem;
}

.dashboard {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 80vh;
  width: 100%;
  justify-content: center;
}

.dashboard--content {
  display: flex;
  gap: 1rem;
}

.dashboard--content a:hover {
  background: #828576;
}
.dashboard--content a {
  display: inline-flex;
  padding: 1.125rem 2.4375rem;
  justify-content: center;
  align-items: center;
  border-radius: 0.9375rem;
  background: #c6bdac;
  color: #0c0e0e;
  font-size: 1rem;
  font-weight: 400;
}

.flashes {
  display: inline-flex;
  background-color: #3e515b;
  color: #fff;
  align-items: center;
  width: 30rem;
  margin-left: 2rem;
  line-height: 250%;
  height: 2rem;
  position: absolute;
  border-radius: 1rem;
}

li {
  list-style: none;
}

li::before {
  content: none;
}

.login,
.register {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 40rem;
  margin-top: 4rem;
  margin-bottom: 4rem;
  margin-inline: auto;
  border-radius: 0.5rem;
  background: #d7d4c8;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  height: 45rem;
}

.login h2,
.register h2 {
  font-weight: 500;
  text-align: center;
  font-size: 2rem;
  line-height: 100%;
  margin: 0;
}

.login--form input,
.register--form input {
  width: 100%;
  border-radius: 0.5rem;
  background: #f4f2e8;
  line-height: 200%;
  text-indent: 1rem;
  padding: 5px;
}

#remember_me {
  width: auto;
  border-radius: 0;
  background: #f4f2e8;
  box-shadow: none;
}
#submit:hover,
.create--submit:hover,
.delete--submit:hover,
.edit--submit:hover,
.editbook--submit:hover {
  background: #828576;
}
#submit,
.create--submit,
.delete--submit,
.edit--submit,
.editbook--submit {
  display: inline-flex;
  padding: 0.5rem 1.2rem;
  justify-content: center;
  align-items: center;
  border-radius: 0.5rem;
  color: #0c0e0e;
  background: #c6bdac;
  font-size: 1rem;
  font-weight: 400;
  box-shadow: none;
  width: fit-content;
  text-indent: 0;
}

.submit,
.create--submit,
.delete--submit,
.edit--submit,
.editbook--submit {
  display: flex;
  justify-content: center;
}
.create--submit,
.edit--submit,
.editbook--submit {
  align-self: center;
}
.delete--submit,
.edit--submit {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.checkbox-wrapper {
  position: relative;
  display: inline-block;
  margin-right: 1rem;
}

.checkbox-wrapper input[type="checkbox"] {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.checkbox-wrapper label {
  position: relative;
  display: inline-block;
  margin-bottom: 0;
  vertical-align: middle;
  cursor: pointer;
}

.checkbox-wrapper label::before {
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  margin-right: 0.5rem;
  border: 1px solid #f4f2e8;
  border-radius: 0.25rem;
  vertical-align: middle;
}

.checkbox-wrapper input[type="checkbox"]:checked + label::before {
  background-color: #828576;
  border-color: #828576;
}

form.login--form,
form.register--form {
  width: 70%;
}

.login--link,
.register--link {
  display: flex;
  justify-content: center;
}

.index,
.edit,
.delete {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  padding: 2rem;
  padding-top: 5rem;
}

.book-card {
  border-radius: 0.9375rem;
  background: #d7d4c8;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  width: 20rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.book-card h3 {
  font-size: 1.5rem;
  font-weight: 500;
  text-transform: capitalize;
  padding: 0 2rem;
}

.book-card p {
  font-size: 1rem;
  text-transform: capitalize;
  font-weight: 400;
  padding: 0 1rem;
}

.book-card img {
  border-radius: 1rem;
}

.create,
.editbook {
  border-radius: 2rem;
  background: #d7d4c8;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  max-width: 800px;
  margin: 0 auto;
  padding: 2rem;
  background-color: #f5f5f5;
  margin-top: 2rem;
  width: 100%;
  margin-bottom: 3rem;
}

form {
  display: flex;
  flex-direction: column;
  gap: 0.65rem;
}

label,
.form-label {
  font-weight: bold;
  margin-bottom: 0.5rem;
}

input[type="text"],
input[type="date"],
textarea,
.form-control,
.form-control {
  padding: 0.5rem;
  width: 100%;
  margin-bottom: 1rem;
  border-radius: 5px;
  border: none;
  background-color: #fff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.create--image {
  margin-top: 1rem;
  max-width: 300px;
  border-radius: 5px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

input#image {
  width: auto;
  background: none;
  box-shadow: none;
}

.main--content {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  padding: 0 3rem;
}
